c    PREMALTER5.f to convert the PREM model into a variety of different models
c  for the base of the mantle
c - this is for Kendall&Nangini SKNA1
      real d(300),rho(300), p(300), s(300), qa(300),qb(300),para(20)
      character*72 lab1,lab2

      open(1,file='prem32.mod')
      open(2,file='alterout')

      read(1,601) lab1
601   format(a72)
      read(1,601) lab2
      write(2,601) lab1
      write(2,601) lab2

      do 10 i=1,295
         read(1,*) d(i),rho(i),p(i),s(i),qa(i),qb(i)
10    continue

      do 20 i=112,188
         a= (7.2-6.97848)/535.
         s(i)=6.97848 + a*(d(i)-2100.)
         b=(13.517226-12.93401)/535.
         p(i)=12.93401 + b*(d(i)-2100.)
20    continue

      do 30 i=189,190
         a= (7.4 - 7.2)/10.
         s(i)=7.2 + a*(d(i)-2635.)
         b=(13.89889 - 13.517226)/10.
         p(i)=13.517226 + b*(d(i)-2635.)
30    continue

      do 35 i=191,270
         a= (7.2835 - 7.4)/246.
         s(i)=7.4 + a*(d(i)-2645.)
         b=(13.75221 - 13.89889)/246.
         p(i)=13.89889 + b*(d(i)-2645.)
35    continue

      do 40 i=1,295
         write(2,602) d(i),rho(i),p(i),s(i),qa(i),qb(i)
602      format(f10.2,3f10.5,2f10.2)
40    continue

      n295=295
      para(1)=8.
      para(2)=5.
      para(3)=0.
      para(4)=0.
      para(5)=6371.
      para(6)=14.  
      call nplot(n295,d,p,'Depth','Velocity',' ',para)
      call nplot(n295,d,s,'Depth','Velocity',' ',para)
      stop
      end

















