c    PREMALTER.f to comvert the PREM model into a variety of different models
c  for the base of the mantle
c - this is for a fast velocity gradient (the reverse of M1)
      real d(300),rho(300), p(300), s(300), qa(300),qb(300),para(20)
      character*72 lab1,lab2

      open(1,file='prem32.mod')
      open(2,file='alterout')

      read(1,601) lab1
601   format(a72)
      read(1,601) lab2
      write(2,601) lab1
      write(2,601) lab2

      do 10 i=1,295
         read(1,*) d(i),rho(i),p(i),s(i),qa(i),qb(i)
10    continue

c      do 20 i=107,201
c         a= (7.211-6.93288)/700.
c         s(i)=6.93288 + a*(d(i)-2000.)
c         b=(13.562656-12.81787)/700.
c         p(i)=12.81787 + b*(d(i)-2000.)
c20    continue

      do 30 i=202,270
c         a= (7.0467 - 7.211)/191.
c         s(i)=7.211 + a*(d(i)-2700.)
c         b=(13.30512 - 13.562656)/191.
c         p(i)=13.562656 + b*(d(i)-2700.)
         a= (7.6125 - 7.24945)/191.
         s(i)=7.24945 + a*(d(i)-2700.)
         b=(14.31867- 13.63683)/191.
         p(i)=13.63683 + b*(d(i)-2700.)
30    continue

      do 40 i=1,295
         write(2,602) d(i),rho(i),p(i),s(i),qa(i),qb(i)
602      format(f10.2,3f10.5,2f10.2)
40    continue

      n295=295
      para(1)=8.
      para(2)=5.
      para(3)=0.
      para(4)=0.
      para(5)=6371.
      para(6)=14.  
      call nplot(n295,d,p,'Depth','Velocity',' ',para)
      call nplot(n295,d,s,'Depth','Velocity',' ',para)
      stop
      end

















