c   program to make the D'' seismic velocity profile 
c   suggested by Slava SOlomatov for an internally
c convecting D''
c     modout2 also gets a ULVZ

      character*72 label
   
      open(1,file='prem32.mod')
      open(2,file='modout')
      open(3,file='modout2')


c  set constants
      z0=250.
      del1=40.
      d0=.02
      d1=0.005
      deld=0.03

      read(1,601) label
601   format(a72)
      write(2,601) label
      write(3,601) label
      read(1,601) label
      write(2,601) label
      write(3,601) label

      do 10 i=1,10000
         read(1,602,end=101) z,rho,vp,vs,qp,qs
602      format(f10.2,3f10.5,2f10.2)
         y=2891.-z
         if(ifl.eq.1) then
            write(2,602) z,rho,vp,vs,qp,qs
            write(3,602) z,rho,vp,vs,qp,qs
            goto 10
         endif
         if(y.gt.z0) then
            d=d0*exp((-(y-z0)*d1)/(del1*d0))
            vp=vp*(1.-d)   
            vs=vs*(1.-d)   
            write(2,602) z,rho,vp,vs,qp,qs
            write(3,602) z,rho,vp,vs,qp,qs
         endif
         if(y.le.z0) then
            if(z.eq.2891.) ifl=1
            d=d0+d1-d1*exp((y-z0)/del1)-deld
            if(y.le.25.) then
               vp=vp*(1.-d)   
               vs=vs*(1.-d)   
               vvp=0.9*vp
               vvs=0.9*vs
               write(2,602) z,rho,vp,vs,qp,qs
               write(3,602) z,rho,vvp,vvs,qp,qs
             else
               vp=vp*(1.-d)   
               vs=vs*(1.-d)   
               write(2,602) z,rho,vp,vs,qp,qs
               write(3,602) z,rho,vp,vs,qp,qs
            endif 
         endif
10    continue
101   stop
      end
