c    PREMALTER2.f to comvert the PREM model into a variety of different models
c  for the base of the mantle - this puts a x**2 slope to D"
      real d(300),rho(300), p(300), s(300), qa(300),qb(300),para(20)
      character*72 lab1,lab2

      open(1,file='prem32.mod')
      open(2,file='alterout')

      read(1,601) lab1
601   format(a72)
      read(1,601) lab2
      write(2,601) lab1
      write(2,601) lab2

      do 10 i=1,295
         read(1,*) d(i),rho(i),p(i),s(i),qa(i),qb(i)
10    continue

      do 20 i=107,201
         a= (7.211-6.93288)/700.
         s(i)=6.93288 + a*(d(i)-2000.)
         b=(13.562656-12.81787)/700.
         p(i)=12.81787 + b*(d(i)-2000.)
20    continue

      do 30 i=202,270
         s(i)=7.211 - 4.495491e-06*(d(i)-2700.)**2.
         p(i)=13.562656 - 7.059455607e-06*(d(i)-2700.)**2.
30    continue

      do 40 i=1,295
         write(2,602) d(i),rho(i),p(i),s(i),qa(i),qb(i)
602      format(f10.2,3f10.5,2f10.2)
40    continue

      n295=295
      para(1)=8.
      para(2)=5.
      para(3)=2000.
      para(4)=6.5
      para(5)=2900.
      para(6)=7.5  
      call nplot(n295,d,p,'Depth','Velocity',' ',para)
      call nplot(n295,d,s,'Depth','Velocity',' ',para)
      stop
      end

















