c    PREMALTER3.f to comvert the PREM model into a variety of different models
c  for the base of the mantle - this puts a x**2 slope to D" at the bottom of
c  a discontinuity. - MOdel RJK2705.
      real d(300),rho(300), p(300), s(300), qa(300),qb(300),para(20)
      character*72 lab1,lab2

      open(1,file='prem32.mod')
      open(2,file='alterout')

      read(1,601) lab1
601   format(a72)
      read(1,601) lab2
      lab2='S  296   6          PREM1'
      write(2,601) lab1
      write(2,601) lab2

      do 10 i=1,295
         read(1,*) d(i),rho(i),p(i),s(i),qa(i),qb(i)
10    continue

      do 20 i=132,202
         a= (7.1-7.06811)/405.
         s(i)=7.06811 + a*(d(i)-2300.)
         b=(13.223213-13.16382)/405.
         p(i)=13.16382 + b*(d(i)-2300.)
20    continue

      do 30 i=203,271
         s(i)=7.34 - 9.827726e-06*(d(i-1)-2705.)**2.
         p(i)=13.6701576 - 1.830335e-05*(d(i-1)-2705.)**2.
30    continue

      do 40 i=1,202
         write(2,602) d(i),rho(i),p(i),s(i),qa(i),qb(i)
602      format(f10.2,3f10.5,2f10.2)
40    continue
      do 50 i=203,271
         write(2,602) d(i-1),rho(i-1),p(i),s(i),qa(i-1),qb(i-1)
50    continue
      write(2,602) d(271),rho(271),p(272),s(272),qa(271),qb(271)
      do 60 i=273,296
         write(2,602) d(i-1),rho(i-1),p(i-1),s(i-1),qa(i-1),qb(i-1)
60    continue

      n296=296
      para(1)=8.
      para(2)=5.
      para(3)=2300.
      para(4)=7.0
      para(5)=2900.
      para(6)=7.5  
      call nplot(n296,d,p,'Depth','Velocity',' ',para)
      call nplot(n296,d,s,'Depth','Velocity',' ',para)
      stop
      end

















